#ifndef DISRUPTOR_H
#define DISRUPTOR_H


#include "weapon.h"

// #define    W_LEFT        0
// #define    W_RIGHT       1

/**
 *	@author Marc Schaerer <marcscha@ee.ethz.ch>
 *
 *  Heavy Blaster class
 */
class Disruptor : public Weapon
{
  ObjectListDeclaration(Disruptor);
  public:
    Disruptor();
    Disruptor (const TiXmlElement* root);
    virtual ~Disruptor();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    virtual void activate();
    virtual void deactivate();

    virtual void fire();

    virtual void tick(float dt);

    virtual void draw() const;

  private:
    PNode*** objComp;
    Animation3D*** shootAnim;
    PNode** emissionPoint;

    int activeBarrel;

//     int leftRight;
};

#endif
